MemberDoc (Java SE 12 & JDK 12 )
Keywords: com.sun.javadoc.MemberDoc interface

Module jdk.javadoc
Package com.sun.javadoc

## Interface MemberDoc

- All Superinterfaces:
    `Comparable<Object>`, `Doc`, `ProgramElementDoc`
  All Known Subinterfaces:
    `AnnotationTypeElementDoc`, `ConstructorDoc`, `ExecutableMemberDoc`, `FieldDoc`, `MethodDoc`

      @Deprecated(since="9",
                  forRemoval=true)
      public interface MemberDoc
      extends ProgramElementDoc

  Deprecated, for removal: This API element is subject to removal in a future version.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.
  Represents a member of a java class: field, constructor, or method. This is an abstract class dealing with information common to method, constructor and field members. Class members of a class (innerclasses) are represented instead by ClassDoc.
  See Also:
    `MethodDoc`, `FieldDoc`, `ClassDoc`

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isSynthetic()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns true if this member was synthesized by the compiler.

    - ### Methods declared in interface com.sun.javadoc.Doc

      `commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

    - ### Methods declared in interface com.sun.javadoc.ProgramElementDoc

      `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- - ### Method Detail

    - #### isSynthetic

          boolean isSynthetic()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns true if this member was synthesized by the compiler.
      Returns:
        true if this member was synthesized by the compiler.